spack:
  include:
    - mirrors.yaml
    - packages.yaml
    - repos.yaml

  definitions:
    - compilers:
        - gcc@13.2.0
    - mpi_codes:
        - osu-micro-benchmarks

    - when: env['environment'] == 'helvetios'
      mpis:
        - openmpi fabrics=ofi,ucx,verbs schedulers=slurm ~rsh +gpfs
          ^ucx +rdmacm +rc +dc +ud +cma +mlx5_dv +parameter_checking +thread_multiple +verbs
    - when: env['environment'] == 'izar'
      mpis:
        - openmpi fabrics=ofi,ucx,verbs schedulers=slurm ~rsh +gpfs +cuda cuda_arch=70
          ^ucx +rdmacm +rc +dc +ud +cma +mlx5_dv +parameter_checking +thread_multiple +verbs +cuda cuda_arch=70 +gdrcopy

  specs:
  - $compilers
  - matrix:
    - [$mpis]
    - [$%compilers]
  - matrix:
    - [$mpi_codes]
    - [$^mpis]
    - [$%compilers]

  view:
    default:
      root: /stack/packages/
      link: all
      link_type: copy
